package com.sdtool.common.entity.system;

import com.sdtool.common.entity.base.BaseEntity;
import com.sweetfish.util.Comment;
import org.rex.db.RColumn;

/**
 * Created by jlutt on 2021-12-13
 *
 * @author jlutt
 */
public class PageTableColumn extends BaseEntity {

    @Comment("")
    @RColumn("id")
    private long id;

    @Comment("")
    @RColumn("iduser")
    private long idUser;

    @Comment("")
    @RColumn("pagename")
    private String pageName;

    @Comment("")
    @RColumn("columnname")
    private String columnName;

    @Comment("")
    @RColumn("columntitle")
    private String columnTitle;

    @Comment("")
    @RColumn("columnwidth")
    private int columnWidth;

    @Comment("")
    @RColumn("columnindex")
    private int columnIndex;

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public long getIdUser() {
        return idUser;
    }

    public void setIdUser(long idUser) {
        this.idUser = idUser;
    }

    public String getPageName() {
        return pageName;
    }

    public void setPageName(String pageName) {
        this.pageName = pageName;
    }

    public String getColumnName() {
        return columnName;
    }

    public void setColumnName(String columnName) {
        this.columnName = columnName;
    }

    public String getColumnTitle() {
        return columnTitle;
    }

    public void setColumnTitle(String columnTitle) {
        this.columnTitle = columnTitle;
    }

    public int getColumnWidth() {
        return columnWidth;
    }

    public void setColumnWidth(int columnWidth) {
        this.columnWidth = columnWidth;
    }

    public int getColumnIndex() {
        return columnIndex;
    }

    public void setColumnIndex(int columnIndex) {
        this.columnIndex = columnIndex;
    }
}
